Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class TicketManager.ErrorCode

java.lang.Object
ru.bitel.bgbilling.modules.ticket.server.bean.TicketManager.ErrorCode

Enclosing class:
  `TicketManager`

public class TicketManager.ErrorCode extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ERR_ALREADYCANSELED`
  `static final int`
  `ERR_ALREADYCANSELED_CODE`
  `static final String`
  `ERR_BALANCE`
  `static final int`
  `ERR_BALANCE_CODE`
  `static final String`
  `ERR_CONTRACTNOTFOUND`
  `static final int`
  `ERR_CONTRACTNOTFOUND_CODE`
  `static final String`
  `ERR_IP`
  `static final int`
  `ERR_IP_CODE`
  `static final String`
  `ERR_MID`
  `static final int`
  `ERR_MID_CODE`
  `static final String`
  `ERR_OUTOFPERIOD`
  `static final int`
  `ERR_OUTOFPERIOD_CODE`
  `static final String`
  `ERR_PARAM`
  `static final int`
  `ERR_PARAM_CODE`
  `static final String`
  `ERR_PASSLIM`
  `static final int`
  `ERR_PASSLIM_CODE`
  `static final String`
  `ERR_PAYMENTNOTFOUND`
  `static final int`
  `ERR_PAYMENTNOTFOUND_CODE`
  `static final String`
  `ERR_SERVER`
  `static final int`
  `ERR_SERVER_CODE`
  `static final String`
  `ERR_TICKET_BILL`
  `static final int`
  `ERR_TICKET_BILL_CODE`
  `static final String`
  `ERR_TICKETNOTFOUND`
  `static final int`
  `ERR_TICKETNOTFOUND_CODE`
  `static final String`
  `ERR_TIMEDOUT`
  `static final int`
  `ERR_TIMEDOUT_CODE`
  `static final String`
  `ERR_WRONGACTION`
  `static final int`
  `ERR_WRONGACTION_CODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorCode()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERR_SERVER

    public static final String ERR_SERVER
    See Also:
      - Constant Field Values

  - ### ERR_SERVER_CODE

    public static final int ERR_SERVER_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PARAM

    public static final String ERR_PARAM
    See Also:
      - Constant Field Values

  - ### ERR_PARAM_CODE

    public static final int ERR_PARAM_CODE
    See Also:
      - Constant Field Values

  - ### ERR_OUTOFPERIOD

    public static final String ERR_OUTOFPERIOD
    See Also:
      - Constant Field Values

  - ### ERR_OUTOFPERIOD_CODE

    public static final int ERR_OUTOFPERIOD_CODE
    See Also:
      - Constant Field Values

  - ### ERR_IP

    public static final String ERR_IP
    See Also:
      - Constant Field Values

  - ### ERR_IP_CODE

    public static final int ERR_IP_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PASSLIM

    public static final String ERR_PASSLIM
    See Also:
      - Constant Field Values

  - ### ERR_PASSLIM_CODE

    public static final int ERR_PASSLIM_CODE
    See Also:
      - Constant Field Values

  - ### ERR_WRONGACTION

    public static final String ERR_WRONGACTION
    See Also:
      - Constant Field Values

  - ### ERR_WRONGACTION_CODE

    public static final int ERR_WRONGACTION_CODE
    See Also:
      - Constant Field Values

  - ### ERR_CONTRACTNOTFOUND

    public static final String ERR_CONTRACTNOTFOUND
    See Also:
      - Constant Field Values

  - ### ERR_CONTRACTNOTFOUND_CODE

    public static final int ERR_CONTRACTNOTFOUND_CODE
    See Also:
      - Constant Field Values

  - ### ERR_TICKETNOTFOUND

    public static final String ERR_TICKETNOTFOUND
    See Also:
      - Constant Field Values

  - ### ERR_TICKETNOTFOUND_CODE

    public static final int ERR_TICKETNOTFOUND_CODE
    See Also:
      - Constant Field Values

  - ### ERR_TICKET_BILL

    public static final String ERR_TICKET_BILL
    See Also:
      - Constant Field Values

  - ### ERR_TICKET_BILL_CODE

    public static final int ERR_TICKET_BILL_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PAYMENTNOTFOUND

    public static final String ERR_PAYMENTNOTFOUND
    See Also:
      - Constant Field Values

  - ### ERR_PAYMENTNOTFOUND_CODE

    public static final int ERR_PAYMENTNOTFOUND_CODE
    See Also:
      - Constant Field Values

  - ### ERR_ALREADYCANSELED

    public static final String ERR_ALREADYCANSELED
    See Also:
      - Constant Field Values

  - ### ERR_ALREADYCANSELED_CODE

    public static final int ERR_ALREADYCANSELED_CODE
    See Also:
      - Constant Field Values

  - ### ERR_TIMEDOUT

    public static final String ERR_TIMEDOUT
    See Also:
      - Constant Field Values

  - ### ERR_TIMEDOUT_CODE

    public static final int ERR_TIMEDOUT_CODE
    See Also:
      - Constant Field Values

  - ### ERR_MID

    public static final String ERR_MID
    See Also:
      - Constant Field Values

  - ### ERR_MID_CODE

    public static final int ERR_MID_CODE
    See Also:
      - Constant Field Values

  - ### ERR_BALANCE

    public static final String ERR_BALANCE
    See Also:
      - Constant Field Values

  - ### ERR_BALANCE_CODE

    public static final int ERR_BALANCE_CODE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ErrorCode

    public ErrorCode()